Loading...
Searching...
No Matches
juce::RelativePointPath Class Reference

## Detailed Description

A path object that consists of RelativePoint coordinates rather than the normal fixed ones.

One of these paths can be converted into a Path object for drawing and manipulation, but unlike a Path, its points can be dynamic instead of just fixed.

See also
  RelativePoint, RelativeCoordinate

The documentation for this class was generated from the following file:

- juce_gui_basics/positioning/juce_RelativePointPath.h

## Classes

class | ElementBase
| Base class for the elements that make up a RelativePointPath. More...
class | StartSubPath
| Class for the start sub path element. More...
class | CloseSubPath
| Class for the close sub path element. More...
class | LineTo
| Class for the line to element. More...
class | QuadraticTo
| Class for the quadratic to element. More...
class | CubicTo
| Class for the cubic to element. More...

## Public Types

enum | ElementType { nullElement , startSubPathElement , closeSubPathElement , lineToElement , quadraticToElement , cubicToElement }
| The types of element that may be contained in this path. More...

## Public Member Functions

| RelativePointPath ()
| RelativePointPath (const RelativePointPath &)
| RelativePointPath (const Path &path)
| ~RelativePointPath ()
bool | operator== (const RelativePointPath &) const noexcept
bool | operator!= (const RelativePointPath &) const noexcept
void | createPath (Path &path, Expression::Scope *scope) const
| Resolves this points in this path and adds them to a normal Path object.
bool | containsAnyDynamicPoints () const
| Returns true if the path contains any non-fixed points.
void | swapWith (RelativePointPath &) noexcept
| Quickly swaps the contents of this path with another.
void | addElement (ElementBase *newElement)

## Public Attributes

OwnedArray< ElementBase > | elements
bool | usesNonZeroWinding

## Member Enums

## ElementType

enum juce::RelativePointPath::ElementType

The types of element that may be contained in this path.

See also
  RelativePointPath::ElementBase

Enumerator
nullElement |
startSubPathElement |
closeSubPathElement |
lineToElement |
quadraticToElement |
cubicToElement |

## Constructors and Destructors

## RelativePointPath() [1/3]

juce::RelativePointPath::RelativePointPath | ( |  | ) |

Referenced by operator!=(), operator==(), Positioner, RelativePointPath(), and swapWith().

## RelativePointPath() [2/3]

juce::RelativePointPath::RelativePointPath | ( | const RelativePointPath & |  | ) |

References RelativePointPath().

## RelativePointPath() [3/3]

juce::RelativePointPath::RelativePointPath | ( | const Path & | path | ) |

explicit

## ~RelativePointPath()

juce::RelativePointPath::~RelativePointPath | ( |  | ) |

## Member Functions

## operator==()

bool juce::RelativePointPath::operator== | ( | const RelativePointPath & |  | ) | const

noexcept

References RelativePointPath().

## operator!=()

bool juce::RelativePointPath::operator!= | ( | const RelativePointPath & |  | ) | const

noexcept

References RelativePointPath().

## createPath()

void juce::RelativePointPath::createPath | ( | Path & | path,
|  | Expression::Scope * | scope ) const

Resolves this points in this path and adds them to a normal Path object.

## containsAnyDynamicPoints()

bool juce::RelativePointPath::containsAnyDynamicPoints | ( |  | ) | const

Returns true if the path contains any non-fixed points.

## swapWith()

void juce::RelativePointPath::swapWith | ( | RelativePointPath & |  | ) |

noexcept

Quickly swaps the contents of this path with another.

References RelativePointPath().

## addElement()

void juce::RelativePointPath::addElement | ( | ElementBase * | newElement | ) |

## Member Data Documentation

## elements

OwnedArray<ElementBase> juce::RelativePointPath::elements

## usesNonZeroWinding

bool juce::RelativePointPath::usesNonZeroWinding

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited